'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CANVAS_WIDTH = 300;
var CANVAS_HEIGHT = 572;
var SCREENSHOT_OFFSET_X = 19;
var SCREENSHOT_OFFSET_Y = 67;
var SCREENSHOT_WIDTH = 261;
var SCREENSHOT_HEIGHT = 434;

function drawCase(canvas2d) {

  return new Promise(function (resolve, reject) {

    var img = new Image();

    img.onload = function () {
      canvas2d.drawImage(img, 0, 0);
      resolve();
    };

    img.width = CANVAS_WIDTH;
    img.height = CANVAS_HEIGHT;
    img.src = require('../../images/phoneoverlay.png');
  });
}

function drawScreenshot(canvas2d, screenshotUrl) {

  return new Promise(function (resolve, reject) {

    var img = new Image();

    img.onload = function () {
      canvas2d.drawImage(img, SCREENSHOT_OFFSET_X, SCREENSHOT_OFFSET_Y, SCREENSHOT_WIDTH, SCREENSHOT_HEIGHT);
      resolve();
    };

    img.src = screenshotUrl;
  });
}

function drawCanvas(canvas, props) {

  var canvas2d = canvas.getContext('2d');

  drawCase(canvas2d).then(function () {
    return drawScreenshot(canvas2d, props.screenshotUrl);
  });
}

exports.default = function (props) {
  return _react2.default.createElement('canvas', { ref: function ref(c) {
      return drawCanvas(c, props);
    }, width: CANVAS_WIDTH, height: CANVAS_HEIGHT });
};