'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (props) {

  var theme = (0, _styleHelpers.safeThemeFromProps)(props);

  var _getBandStyle = (0, _styleHelpers.getBandStyle)(theme, props.bandStyle);

  var background = _getBandStyle.background;
  var textColor = _getBandStyle.textColor;


  return {
    box: {
      background: background,
      color: textColor,
      padding: '7%',
      textAlign: 'center',
      display: 'flex',
      justifyContent: 'center',
      flexWrap: 'wrap'
    },
    phoneColumn: {
      flex: 2
    },
    phoneCanvas: {
      width: '300px',
      height: '572px'
    },
    textColumn: {
      padding: '5%',
      textAlign: 'left',
      flex: 3
    },
    h1: {
      fontSize: '2.5rem',
      fontWeight: 'bolder',
      maring: 0,
      marginBottom: '3%'
    },
    h2: {
      fontSize: '1.1rem',
      fontWeight: 'normal',
      maring: 0,
      marginBottom: '3%'
    }
  };
};

var _styleHelpers = require('../../utils/styleHelpers');